import React, { useState, useRef, useEffect, useMemo } from "react";
import {
  List,
  Input,
  Button,
  message,
  // Spin,
} from "antd";
import baseRequest from "../../utils/baseRequest";
export default function PagesManage() {
  const [pages, setPages] = useState([
    { title: "主播空间", name: "streamerSpace", params: "name=text" },
    { title: "主播主页", name: "streamerProfile", params: "" },
    { title: "充值页面", name: "payCenter", params: "" },
    { title: "主播空间", name: "streamerSpace", params: "" },
    { title: "主播空间", name: "streamerSpace", params: "" },
    { title: "主播空间", name: "streamerSpace", params: "" },
  ]);
  //创建页面路由
  const handleCreate = async ({ id, route_path, action, desc }) => {
    try {
      const base = baseRequest();
      const response = await fetch("/op/frontend_route/create", {
        method: "POST",
        headers: {
          "Content-Type": "application/json",
        },
        body: JSON.stringify({
          id,
          route_path,
          action,
          desc,
          ...base,
        }),
      });
      const _data = await response.json();
      if (_data.ret === -1) {
        alert(_data.msg);
        return;
      }
      message.success("创建成功");
    } catch (error) {
      console.error(error);
    }
  };
  return (
    <div className="my-4">
      <List split={false}>
        <div className="my-6 flex items-center justify-between">
          <div className="flex-1 grid grid-cols-[20%,20%,auto] gap-2">
            <Input placeholder="页面名称" />
            <Input placeholder="页面值" />
            <Input placeholder="页面参数" />
          </div>
          <Button type="primary" className="ml-2">
            新增+
          </Button>
        </div>
        {pages.map((it) => (
          <div className="mt-2 ">
            <List.Item style={{ padding: 0 }}>
              <div className="w-full">
                <div className="flex items-center justify-between rounded-t-lg px-4 py-2  bg-[#dcdcdc80]">
                  <p className="flex items-center">
                    <span className="text-base">{it.title}</span>
                    <span className="mx-1">|</span>
                    <span className="text-[gray]">{it.name}</span>
                  </p>
                  <div>
                    <span className="px-2 py-1 rounded-lg cursor-pointer">
                      编辑
                    </span>
                    <span className="px-2 py-1 rounded-lg text-[#ff000064] cursor-pointer">
                      删除
                    </span>
                  </div>
                </div>
                <div className="flex rounded-b-lg px-4 py-0.5 bg-[#dcdcdc41] text-xs text-[#9d9d9d]">
                  {it.params && (
                    <div className="py-2">
                      <span>参数：</span>
                      <span>{`?${it.params}`}</span>
                    </div>
                  )}
                </div>
              </div>
            </List.Item>
          </div>
        ))}
      </List>
    </div>
  );
}
