import React, { useState } from "react";
import { Form, Input, Space, Button } from "antd";
import baseRequest from "../../utils/baseRequest";

export default function GetPhoneNumber() {
  const [phoneNumber, setPhoneNumber] = useState();
  //搜索
  const search = async (value) => {
    try {
      const base = baseRequest();
      const response = await fetch("/op/account/get_mobile_phone_by_user_id", {
        method: "POST",
        headers: {
          "Content-Type": "application/json",
        },
        body: JSON.stringify({
          user_id: parseInt(value.user_id, 10),
          ...base,
        }),
      });
      const data = await response.json();
      if (data.ret === -1) {
        alert(data.msg);
        return;
      }
      setPhoneNumber(
        data.data.mobile_phone === ""
          ? "未查询到手机号，请检查ID是否正确"
          : data.data.mobile_phone
      );
    } catch (error) {
      console.error(error);
    }
  };
  //表单提交失败
  const onFinishFailed = (errorInfo) => {
    console.log("Failed:", errorInfo);
  };
  return (
    <div className="mt-4" style={{ marginLeft: 20, marginRight: 20 }}>
      <Form name="search" onFinish={search} onFinishFailed={onFinishFailed}>
        <Space style={{ marginBottom: 20 }}>
          <Form.Item label="ID" name="user_id" style={{ margin: 0 }}>
            <Input type="number" />
          </Form.Item>
          <Button type="primary" htmlType="submit">
            搜索
          </Button>
        </Space>
      </Form>
      <p className="text-red-400">
        该功能仅限内部出于售后目的使用，请勿泄漏用户手机号
      </p>
      <p className="text-lg mt-4">{phoneNumber}</p>
    </div>
  );
}
