/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["./src/**/*.{js,jsx,ts,tsx}"],
  theme: {
    extend: {
      colors: {
        primary: { DEFAULT: "#FF669E", 500: "#FF669E50" },
        secondary: { DEFAULT: "#838284" },
        neutral: { DEFAULT: "#2c2b2f" },
        info: { DEFAULT: "#3B69B8" },
        success: { DEFAULT: "#27F5B7" },
        warning: { DEFAULT: "#FFF04C" },
        error: { DEFAULT: "#F53030" },
        deepBg: { DEFAULT: "#07050A" },
        btn: { DEFAULT: "#3763b7" },
        super: {
          DEFAULT: "#FFD685",
          500: "#FFD68550",
        },
      },
      backgroundImage: {
        "gradient-radial": "radial-gradient(var(--tw-gradient-stops))",
        "gradient-conic":
          "conic-gradient(from 180deg at 50% 50%, var(--tw-gradient-stops))",
      },
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain",
      "40%": "40%",
    },
  },
  plugins: [],
  corePlugins: {
    preflight: false,
  },
};
